Update field by Id

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Update field by Id API enables users to update and alter project-specific data based on the fieldId, which is a unique identifier. Developers can update field related information, including the label, description, etc. This API returns the updated field object.

By making requests to this endpoint and incorporating the necessary updates in the request body, users can seamlessly manage and maintain up-to-date field related information in their Rocketlane applications.

To customise the response, utilise the includeFields parameter and it will return the updated field in the response body.


In case any issues arise or further assistance is required, please refer to the error handling section or reach out to our support team at [email protected] for a prompt resolution.

Path Params
int64
required
≥ 0
Defaults to 1

The field's unique, system-generated identifier, which can be used to identify the field globally.

Query Params
includeFields
array of strings

This query parameter allows you to specify which field properties should be returned in the response body by selecting from the drop down. To get the relevant field properties, use comma separated values. If this field is left blank, the default properties are returned.

includeFields
Allowed:
boolean

This query parameter allows you to specify if all the field properties should be returned in the response body. If the field is left blank, the default field properties are returned.

Body Params
string

The fieldLabel is the name of the field.

string

The description of the field.

boolean

This depicts if the field is enabled or not. Only those fields which are enabled will reflect in the account.

boolean

This depicts if the field is private or not.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json